//=============================================================================

/*:
 * @plugindesc アクター選択画面において上下キーでも操作できるようにします。
 * 
 * @author LefTonbo
 *
 */
 
//=============================================================================

var Imported = Imported || {};
Imported.LP_AutoMakeItemTextBottom = true;

var LeftPlugin = LeftPlugin || {};

//=============================================================================

(function() {

//=============================================================================
// Window_BattleActor
//=============================================================================

var _Window_BattleActor_onTouch = Window_BattleActor.prototype.onTouch;
Window_BattleActor.prototype.onTouch = function(triggered) {
  this._noHoverScroll = true;
  _Window_BattleActor_onTouch.apply(this, arguments);
  this._noHoverScroll = false;
};

Window_BattleActor.prototype.cursorDown = function(wrap) {
  if (this._noHoverScroll) return;
  Window_BattleActor.prototype.cursorRight.apply(this, arguments);
};

Window_BattleActor.prototype.cursorUp = function(wrap) {
  if (this._noHoverScroll) return;
  Window_BattleActor.prototype.cursorLeft.apply(this, arguments);
};

//=============================================================================
// Window_BattleEnemy
//=============================================================================

Window_BattleEnemy.prototype.cursorDown = function(wrap) {
  Window_BattleEnemy.prototype.cursorLeft.apply(this, arguments);
};

Window_BattleEnemy.prototype.cursorUp = function(wrap) {
  Window_BattleEnemy.prototype.cursorRight.apply(this, arguments);
};

//=============================================================================

})();

// EOF